Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065535 - analyze_CCpp fails to upload core dump with "Failed to initialize NSS" message
Summary: analyze_CCpp fails to upload core dump with "Failed to initialize NSS" message
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: libreport
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: abrt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-14 21:24 UTC by David Jaša
Modified: 2015-06-29 15:13 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 15:13:24 UTC


Attachments (Terms of Use)

Description David Jaša 2014-02-14 21:24:17 UTC
Description of problem:
I'm not sure what could cause this as I can't see anything in the logs and I didn't change abrt/libreport configuration either

Version-Release number of selected component (if applicable):
abrt-2.1.12-2.fc20.x86_64
libreport-2.1.12-2.fc20.x86_64

How reproducible:
always on my computer - not sure about reproducibility elsewhere

Steps to Reproduce:
1. hit "report" on not-yet-analyzed problem
2. hit "yes" to confirm core upload
3.

Actual results:
"Failed to initialize NSS." message appears, user is offered local backtrace generation

Expected results:
core uploads successfully

Additional info:
hints how to debug this issue properly would be appreciated.

Comment 1 Jakub Filak 2014-02-17 09:37:33 UTC
(In reply to David Jaša from comment #0)
> Additional info:
> hints how to debug this issue properly would be appreciated.

In ABRT GUI, single out some problem, hit Ctrl+C, go to command line and run:

& abrt-retrace-client batch --status-delay 10 --dir "Shift+Insert"

abrt-retrace-client uses NSS and tries to initialize it with NSS_Initialize(configdir, "", "", "", NSS_INIT_READONLY) or NSS_NoDB_Init(NULL).

NSS_Initialize() is used if $SSL_DIR env variable contains a path to directory or if "/etc/pki/nssdb" directory exists. In all other cases, NSS_NoDB_Init() is used.

Comment 2 David Jaša 2014-02-19 23:25:34 UTC
This command doesn't gives me just "Failed to initialize NSS." message:

$ abrt-retrace-client batch --status-delay 10 --dir /var/tmp/abrt/ccpp-2014-02-05-15\:08\:23-32637 
Failed to initialise NSS.

SSL_DIR variable doesn't seem to have any effect.

I realized that some programs had problems after I added p11-kit pkcs11 module to sql:/etc/pki/nssdb but the problem doesn't go away after module removal (and permission fix to $NSSDB_DIR/pkcs11.txt).

Comment 3 Jakub Filak 2015-02-05 09:59:41 UTC
David, sorry for the late reply, can you please retest now?

Comment 4 David Jaša 2015-02-05 12:02:31 UTC
I didn't see this problem in quite a long time.

Comment 5 Fedora End Of Life 2015-05-29 10:55:51 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-06-29 15:13:24 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.